/*
 *  filefuncs.h - helper functions to deal with files platformindependently
 *
 *  Copyright (C) 2002-2003 Glen Sawyer & Marcel Mueller
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  Ported to ANSI C (or at least somethingvery similar) by Marcel Mller.
 */

#ifndef filefuncs_h
#define filefuncs_h


#include <stdio.h>


long getSizeOfFile(const char *filename);

inline int deleteFile(const char *filename)
{   return remove(filename);
}

inline int moveFile(const char *currentfilename, const char *newfilename)
{   return rename(currentfilename, newfilename);
}

typedef enum
{   storeTime,
    setStoredTime
} timeAction;

void fileTime(const char *filename, timeAction action);

void fileCopyAttributes(FILE* inf, FILE* out);

#endif
