/*
 *  CRC16.h - CRC 16 checksum class
 *
 *  Copyright (C) 2003 Marcel Mueller
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef CRC16_h
#define CRC16_h

#include <stdlib.h>


class CRC16
{protected:
   const unsigned int Polynomial;
   unsigned int   CRC;
   void           Update8(unsigned char c, size_t bits = 8);
 public:
                  CRC16(short polynomial, short initial) : Polynomial(polynomial), CRC(initial) {}
   void           Update(unsigned char* data, size_t bits);
   unsigned short Get() const                            { return CRC; }
};


#endif // CRC16_h
